Subject: Re: [patch net-next RFC 0/8] Add support for pipeline debug (dpipe)

From: Jiri Pirko <[email-masked]>
Date: Thu, 16 Feb 2017 17:48:35 +0100

Thu, Feb 16, 2017 at 05:40:29PM CET, [email-masked] wrote:
>On Thu, Feb 16, 2017 at 05:20:00PM +0100, Jiri Pirko wrote:
>> Thu, Feb 16, 2017 at 05:11:50PM CET, [email-masked] wrote:
>> >On Thu, Feb 16, 2017 at 04:22:36PM +0100, Jiri Pirko wrote:
>> >> From: Jiri Pirko <[email-masked]>
>> >> 
>> >> Arkadi says:
>> >
>> >Hi Jiri, Arkadi
>> >
>> >It is not mentioned here, but i assume you have a followup patchset
>> >which extends the devlink command to enumerate what tables are
>> >available and to print them?
>> 
>> DEVLINK_CMD_DPIPE_TABLES_GET
>> command gets you all tables. But it gets it with the content. I guess
>> there could be some command to instruct devlink just to dump tables
>> without the content.
>
>This does not sound like it will scale very well, as the number of
>tables increases. Also, at least in the DSA world, getting a table can
>be an expensive operation, lots of MDIO/SPI/I2C transactions. I'd
>prefer to be able to just get one specific table, rather than dump
>them all.

Understood. We'll try to figure out how to make this done.

>
>I can however see cases when it does make sense to have an atomic,
>dump everything operation, where you can trust to be consistent across
>tables.
>
>> >Hopefully it will be more obvious when the user space patches are
>> >available.
>> 
>> I'll ask Arkadi to send the devlink userspace patches as RFC as well.
>
>Great, thanks.
>
>       Andrew